"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const exceptions_1 = require("@rxstack/exceptions");
class JWTEncodeFailureException extends exceptions_1.Exception {
    constructor(message, prevMessage) {
        super(message);
        this.prevMessage = prevMessage;
        this.name = 'JWTEncodeFailureException';
    }
}
exports.JWTEncodeFailureException = JWTEncodeFailureException;
class JWTDecodeFailureException extends exceptions_1.Exception {
    constructor(message, prevMessage) {
        super(message);
        this.prevMessage = prevMessage;
        this.name = 'JWTDecodeFailureException';
    }
}
exports.JWTDecodeFailureException = JWTDecodeFailureException;

//# sourceMappingURL=index.js.map
