"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const jwt_configuration_1 = require("./jwt-configuration");
const services_1 = require("./services");
const security_1 = require("@rxstack/security");
const core_1 = require("@rxstack/core");
let JwtTokenManagerModule = JwtTokenManagerModule_1 = class JwtTokenManagerModule {
    static configure(configuration) {
        return {
            module: JwtTokenManagerModule_1,
            providers: [
                {
                    provide: jwt_configuration_1.JwtConfiguration,
                    useFactory: () => {
                        return new jwt_configuration_1.JwtConfiguration(configuration);
                    },
                    deps: []
                },
                {
                    provide: services_1.KeyLoader,
                    useClass: services_1.KeyLoader
                },
                {
                    provide: security_1.TOKEN_MANAGER,
                    useClass: services_1.TokenManager
                },
            ],
        };
    }
};
JwtTokenManagerModule = JwtTokenManagerModule_1 = __decorate([
    core_1.Module()
], JwtTokenManagerModule);
exports.JwtTokenManagerModule = JwtTokenManagerModule;
var JwtTokenManagerModule_1;

//# sourceMappingURL=jwt-token-manager.module.js.map
