/// <reference types="node" />
import { JwtConfiguration } from '../jwt-configuration';
export declare class KeyLoader {
    protected config: JwtConfiguration;
    constructor(config: JwtConfiguration);
    loadPrivateKey(): Promise<Buffer | string>;
    loadPublicKey(): Promise<Buffer | string>;
}
