import { TokenManagerInterface } from '@rxstack/security';
import { KeyLoader } from './key-loader';
import { JwtConfiguration } from '../jwt-configuration';
export declare class TokenManager implements TokenManagerInterface {
    private keyLoader;
    private config;
    constructor(keyLoader: KeyLoader, config: JwtConfiguration);
    encode(payload: Object): Promise<string>;
    decode(token: string): Promise<Object>;
}
