"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Rsa {
    constructor(obj) {
        this.public_key = obj.public_key;
        this.private_key = obj.private_key || null;
        this.passphrase = obj.passphrase || null;
    }
}
exports.Rsa = Rsa;
class JwtConfiguration {
    constructor(obj) {
        this.secret = (typeof obj.secret === 'string') ? obj.secret : new Rsa(obj.secret);
        this.signature_algorithm = obj.signature_algorithm || 'RS512';
        this.ttl = obj.ttl || (300 * 1000);
        this.issuer = obj.issuer ? obj.issuer : 'rxstack';
    }
}
exports.JwtConfiguration = JwtConfiguration;

//# sourceMappingURL=jwt-configuration.js.map
